// pages/login/login.ts;
const app = getApp();
const {
  register
} = require('./../../utils/api.js')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    nvabarData: {
      showCapsule: 1, //是否显示左上角图标   1表示显示    0表示不显示
      title: '', //导航栏 中间的标题
    },
    isYs: false,
    isAgree: false,
  },
  egree() {
    this.setData({
      isAgree: !this.data.isAgree
    })
  },
  goabout(e) {
    wx.navigateTo({
      url: './../aboutInfo/aboutInfo?type=' + e.currentTarget.dataset.index,
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad() {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },
  getPhoneNumber(e) {
    console.log(e)
    if (e.detail.errMsg != "getPhoneNumber:ok") {
      wx.showToast({
        title: "获取手机号失败",
        icon: 'fail',
        duration: 2000
      });
      return;
    }
    if (e.detail.code) {
      register({
        openid: app.globalData.userInfo.openid,
        code: e.detail.code,
      }).then((res) => {
        wx.showToast({
          title: "登陆成功",
          icon: 'success',
          duration: 2000
        });
        wx.setStorage({
          key: "userInfo",
          data: res,
          success() {
            setTimeout(() => {
              // 重新登录
              getCurrentPages()[0].login();
              wx.redirectTo({
                url: './../deviceConnect0/deviceConnect0?isLognlink=0'
              });
            }, 2000);
          }
        });
      })
    }
  },
  notlogin() {
    wx.showToast({
      title: '请同意协议',
      icon: "none"
    })
  }
})